Bug 180490 - net/svnup: insufficient check of $FreeBSD$ lines
Summary: net/svnup: insufficient check of $FreeBSD$ lines
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-12 12:30 UTC by Alexey Markov
Modified: 2013-07-25 01:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Markov 2013-07-12 12:30:01 UTC
Fore some reason svnup doesn't check $FreeBSD$ line for actual data in it, thus after source tree updating some files has this line truncated, without actual data.

Fix: 

I think that svnup have to check $FreeBSD$ line for correct format and change it to match the line in the repository.
How-To-Repeat: Get FreeBSD 8.4-RELEASE distributive media and extract source tree from it to some folder (e.g. /new/1).

Run svnup upon this folder: svnup release -l /new/1

Fetch source tree to another, empty folder: svnup release -l /new/2

Compare files in these folders:

Files /new/1/cddl/contrib/opensolaris/cmd/zstreamdump/zstreamdump.1 and /new/2/cddl/contrib/opensolaris/cmd/zstreamdump/zstreamdump.1 differ
Files /new/1/sys/cddl/contrib/opensolaris/uts/intel/dtrace/fasttrap_isa.c and /new/2/sys/cddl/contrib/opensolaris/uts/intel/dtrace/fasttrap_isa.c differ
Files /new/1/sys/mips/rmi/xlr_boot1_console.c and /new/2/sys/mips/rmi/xlr_boot1_console.c differ
Files /new/1/tools/regression/bin/sh/builtins/break3.0 and /new/2/tools/regression/bin/sh/builtins/break3.0 differ

#diff /new/1/cddl/contrib/opensolaris/cmd/zstreamdump/zstreamdump.1 /new/2/cddl/contrib/opensolaris/cmd/zstreamdump/zstreamdump.1
22c22
< .\" $FreeBSD$
---
> .\" $FreeBSD: release/8.4.0/cddl/contrib/opensolaris/cmd/zstreamdump/zstreamdump.1 235571 2012-05-18 00:02:11Z gjb $
Comment 1 Edwin Groothuis freebsd_committer 2013-07-12 12:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

jgh@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-07-12 12:30:10 UTC
Maintainer of net/svnup,

Please note that PR ports/180490 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180490

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-07-12 12:30:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2013-07-23 08:47:10 UTC
Author: jgh
Date: Tue Jul 23 07:46:56 2013
New Revision: 323518
URL: http://svnweb.freebsd.org/changeset/ports/323518

Log:
  - update to 0.98 [1]
  
  svnup-0.98 - 22 July 2013
  - Fixed a bug related to recent (v 1.8) updates to the svn protocol
    (pr ports/180485). [2]
  - Fixed a bug where version tags were inserted into files that did not
    have the FreeBSD=%H keyword associated with them (ports/180490). [3]
  
  PR:		180485 [2]
  PR:		180490 [3]
  Submitted by:	jcm@visi.com (maintainer) [1]

Modified:
  head/net/svnup/Makefile
  head/net/svnup/distinfo

Modified: head/net/svnup/Makefile
==============================================================================
--- head/net/svnup/Makefile	Tue Jul 23 07:42:01 2013	(r323517)
+++ head/net/svnup/Makefile	Tue Jul 23 07:46:56 2013	(r323518)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	svnup
-PORTVERSION=	0.97
+PORTVERSION=	0.98
 CATEGORIES=	net
 MASTER_SITES=	http://jcm.dsl.visi.com/freebsd/svnup/ \
 		LOCAL/jgh/net/${PORTNAME}/

Modified: head/net/svnup/distinfo
==============================================================================
--- head/net/svnup/distinfo	Tue Jul 23 07:42:01 2013	(r323517)
+++ head/net/svnup/distinfo	Tue Jul 23 07:46:56 2013	(r323518)
@@ -1,2 +1,2 @@
-SHA256 (svnup-0.97.tar.xz) = 6c74b8850414047774731e5632dcc021ae9e56ad5df947d9853795248f05c9c9
-SIZE (svnup-0.97.tar.xz) = 18336
+SHA256 (svnup-0.98.tar.xz) = 23b028d4ae8ded79706fd8bcb4accde608b0ab899052b986c5811abfe0c9ee82
+SIZE (svnup-0.98.tar.xz) = 18356
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Jason Helfman freebsd_committer 2013-07-23 08:47:40 UTC
State Changed
From-To: feedback->closed

fixed in r323518
Comment 6 Alexey Markov 2013-07-23 12:16:18 UTC
Hello!

It seems that this bug still exists but in different form:

diff ./dist/cddl/contrib/opensolaris/cmd/zstreamdump/zstreamdump.1 
./src/cddl/contrib/opensolaris/cmd/zstreamdump/zstreamdump.1
22c22
< .\" $FreeBSD$
---
> .\" $FreeBSD: releng/8.4/cddl/contrib/opensolaris/cmd/pyzfs/pyzfs.py 
> 209962 2010-07-12 23:49:04Z mm $


diff ./dist/sys/cddl/contrib/opensolaris/uts/intel/dtrace/fasttrap_isa.c 
./src/sys/cddl/contrib/opensolaris/uts/intel/dtrace/fasttrap_isa.c
23c23
<  * $FreeBSD$
---
>  * $FreeBSD: 
> releng/8.4/sys/cddl/contrib/opensolaris/uts/intel/sys/fasttrap_isa.h 
> 179194 2008-05-22 07:04:10Z jb $


diff ./dist/sys/mips/rmi/xlr_boot1_console.c 
./src/sys/mips/rmi/xlr_boot1_console.c
34c34
< __FBSDID("$FreeBSD$");
---
> __FBSDID("$FreeBSD: releng/8.4/sys/mips/rmi/tick.c 215938 2010-11-27 12:26:40Z 
> jchandra $");


diff ./dist/tools/regression/bin/sh/builtins/break3.0 
./src/tools/regression/bin/sh/builtins/break3.0
1c1
< # $FreeBSD$
---
> # $FreeBSD: releng/8.4/tools/regression/bin/sh/builtins/command9.0 214045 
> 2010-10-18 23:10:32Z obrien $

As you can see instead of empty $FreeBSD$ line these files has a $FreeBSD$ 
line of another files.

-- 
WBR, Alexey Markov.
Comment 7 dfilter service freebsd_committer 2013-07-25 01:31:46 UTC
Author: jgh
Date: Thu Jul 25 00:31:38 2013
New Revision: 323624
URL: http://svnweb.freebsd.org/changeset/ports/323624

Log:
  - update to 0.99 (bugfix release)
  
  PR:		180490
  Reported by:	redrat@mail.ru
  Submitted by:	jcm@visi.com (maintainer)

Modified:
  head/net/svnup/Makefile
  head/net/svnup/distinfo

Modified: head/net/svnup/Makefile
==============================================================================
--- head/net/svnup/Makefile	Wed Jul 24 22:02:12 2013	(r323623)
+++ head/net/svnup/Makefile	Thu Jul 25 00:31:38 2013	(r323624)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	svnup
-PORTVERSION=	0.98
+PORTVERSION=	0.99
 CATEGORIES=	net
 MASTER_SITES=	http://jcm.dsl.visi.com/freebsd/svnup/ \
 		LOCAL/jgh/net/${PORTNAME}/

Modified: head/net/svnup/distinfo
==============================================================================
--- head/net/svnup/distinfo	Wed Jul 24 22:02:12 2013	(r323623)
+++ head/net/svnup/distinfo	Thu Jul 25 00:31:38 2013	(r323624)
@@ -1,2 +1,2 @@
-SHA256 (svnup-0.98.tar.xz) = 23b028d4ae8ded79706fd8bcb4accde608b0ab899052b986c5811abfe0c9ee82
-SIZE (svnup-0.98.tar.xz) = 18356
+SHA256 (svnup-0.99.tar.xz) = ad551d4914e48786ee4634700b5404f0bbcc288e82ed914b72d9d38cb6f28f9d
+SIZE (svnup-0.99.tar.xz) = 18360
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"